/*

  Game header file

*/

#ifndef PLAYER_H
#define PLAYER_H

#include <winsock2.h>
#include <iostream>
#include <new>

class Player{
public:
	Player();
	void setPlayerAddress(sockaddr);
	void setPlayerTeamID(int);
	void setPlayerName(char*);
	void setPlayerPosition(int);
	void setClientID(int);
	void setPlayerID(int);
	sockaddr getPlayerAddress();
	int getClientID();
	int getPlayerID();
	int getPlayerTeamID();
	char *getPlayerName();
	int getPlayerPosition();
	bool inUse;
	int playerstate;
private:
	sockaddr playeraddress;
	int clientID;
	int playerID;
	int teamID;
	char *playername;
	int position;
};

#endif